Subject: Mycorrhize Available

From: [email-masked] (ABSORBU)
Date: 2 Nov 1995 14:53:10 -0500

We have just introduced a new product which contains endo- and
ectomycorrhizal fungi, Terra-Sorb, and a biostimulant package consisting
of kelp, yucca extracts and humic acid.  The product is available in
pre-measured packages making it easy for you to specify.  The product
NATURALIZES THE GROUND.

The cost to treat a 5" caliper tree when planting is about $10.00.

Regards,

Jim Quinn
President